<?php
/*******************************************************************************/
//                          InstantCMS v1.10.4                                 //
//                      http://www.instantcms.ru/                              //                                                    //
//                  плагин "Статусы пользователей" v.1.1                       //
//                        (p_userstatuses)                                     //
//                     written by Marat Fatikhov                               //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/
/*******************************************************************************/
/************************   удаление статуса  **********************************/
/*******************************************************************************/
       if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

    $inCore = cmsCore::getInstance();
    $inDB   = cmsDatabase::getInstance();
    $inUser = cmsUser::getInstance();
    $inPage = cmsPage::getInstance();
    
        $statusid = $inCore->request('statusid', 'int', 0);
        $id = $inCore->request('id', 'int', 0);
	      $user_id = $inUser->id;

        if( !$user_id || $user_id != $id || !$inUser->is_admin){
            cmsPage::includeTemplateFile('special/accessdenied.php');
        }

        if(!id || !status_id){cmsCore::error404();}

        // проверяем и если есть удаляем статус с таблицы cms_users


        $status = $inDB->get_field('cms_users', "id={$id}", 'status');

        $status_text = $inDB->get_field('cms_user_statuses', "id={$statusid}", 'title');

        if($status == $status_text){

            $inDB->query("UPDATE cms_users
                         SET status = ''
                         WHERE id = $id");
            //удаляем записи с ленты событий
            cmsActions::removeObjectLog('set_status', 0, $id);
        }
        //удаляем с таблицы cms_user_statuses
        $inDB->delete('cms_user_statuses', "id = $statusid", 1);

        //удаляем комментарии для статуса
        $inCore->deleteComments ('statuses', $statusid);



        header('location:/users/'.$id.'/statuses.html');



?>
